%% This function is used to solve for the equilibrium nominal prices as function of shocks and policy

function F = SolveEqNominalPrice(logp,logz, psi, phi)

global n L theta 

% The vector of log nominal prices is the solution to F(logp) = 0 
F = (eye(n) - ones(n,1)*psi')* L * (log(1 - (1-phi).* exp((theta-1)*logp))-log(phi) + (1-theta)*logz) - (theta-1)*logp;

end
